# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# NETIcon Struct Reference

Simple icon class for NET classes. More...

`#include <netwm_def.h>`

Collaboration diagram for NETIcon:

[legend]
List of all members.

## Public Member Functions

| NETIcon ()

## Public Attributes

NETSize | size
unsigned char * | data

## Detailed Description

Simple icon class for NET classes.

This class is a convenience class defining an icon of size width by height. The existence of this class is to keep the implementation from being dependant on a separate framework/library.

NETIcon is only used by the NET API. Usually QIcon is the appropriate class for representing an icon.

Definition at line 122 of file netwm_def.h.

## Constructor & Destructor Documentation

NETIcon::NETIcon | ( |  | ) | `[inline]`

| Constructor to initialize this icon to 0x0 with data=0. Definition at line 126 of file netwm_def.h. References data.

## Member Data Documentation

NETSize NETIcon::size

Size of the icon.

See also:
  NETSize

Definition at line 133 of file netwm_def.h.

Referenced by NETWinInfo::event(), NETWinInfo::icon(), and NETWinInfo::setIcon().

unsigned char* NETIcon::data

| Image data for the icon. This is an array of 32bit packed CARDINAL ARGB with high byte being A, low byte being B. First two bytes are width, height. Data is in rows, left to right and top to bottom. Definition at line 140 of file netwm_def.h. Referenced by NETWinInfo::icon(), NETIcon(), and NETWinInfo::setIcon().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:50 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003